## konsole 23.08.5

=== data/CMakeLists.txt ===

add_subdirectory( color-schemes )
add_subdirectory( keyboard-layouts )
add_subdirectory( layouts )

install( FILES konsole.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
install(FILES konsolerc DESTINATION ${KDE_INSTALL_CONFDIR})

=== desktop/CMakeLists.txt ===


########### install files ###############

install( PROGRAMS org.kde.konsole.desktop  DESTINATION ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.konsole.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )
install( FILES org.kde.konsole.desktop DESTINATION ${KDE_INSTALL_DATADIR}/kglobalaccel)

if(ECM_VERSION VERSION_GREATER_EQUAL "5.89.0")
    if(QT_MAJOR_VERSION STREQUAL "5")
        install(FILES terminalemulator.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPESDIR})
        install(FILES konsolepart.desktop DESTINATION ${KDE_INSTALL_KSERVICESDIR})
    endif()
    install(FILES konsole.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
else()
    install(FILES terminalemulator.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
    install(FILES konsolepart.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
    install(FILES konsole.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})
endif()

if(KF${QT_MAJOR_VERSION}KIO_VERSION VERSION_GREATER_EQUAL "5.85.0")
    install( PROGRAMS konsolerun.desktop  DESTINATION ${KDE_INSTALL_DATADIR}/kio/servicemenus )
else()
    install( FILES konsolerun.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/ServiceMenus )
endif()

=== src/CMakeLists.txt ===
# cmake-options : -DCMAKE_DISABLE_FIND_PACKAGE_LibKonq=TRUE or FALSE; default is FALSE

add_definitions(-DTRANSLATION_DOMAIN=\"konsole\")

### Handle DragonFlyBSD here instead of using __DragonFly__
IF(${CMAKE_SYSTEM_NAME} MATCHES "DragonFly")
  set(HAVE_OS_DRAGONFLYBSD 1)
else()
  set(HAVE_OS_DRAGONFLYBSD 0)
endif()

IF(NOT (${KF${QT_MAJOR_VERSION}_VERSION} VERSION_LESS "5.60.0"))
    set(USE_TERMINALINTERFACEV2 1)
endif()

include(CheckIncludeFiles)
include(ECMAddAppIcon)

configure_file(config-konsole.h.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/config-konsole.h)

### Tests
if(BUILD_TESTING)
    if (NOT WIN32)
        find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG REQUIRED)
        add_subdirectory(autotests)
        add_subdirectory(tests)
    endif()
endif()


### Security concerns about sendText and runCommand dbus methods being public
option(REMOVE_SENDTEXT_RUNCOMMAND_DBUS_METHODS "Konsole: remove sendText and runCommand dbus methods" OFF)

### Security concerns about reading arbitrary screen positions
option(ENABLE_DECRQCRA "Konsole: enable DEC request checksum rectangular area" OFF)

### Development tools
option(KONSOLE_BUILD_UNI2CHARACTERWIDTH "Konsole: build uni2characterwidth executable" OFF)

### Konsole source files shared between embedded terminal and main application
# qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
# qdbuscpp2xml -M -s ViewManager.h -o org.kde.konsole.Konsole.xml

# Generate dbus .xml files; do not store .xml in source folder
qt_generate_dbus_interface(ViewManager.h org.kde.konsole.Window.xml OPTIONS -m)

qt_add_dbus_adaptor(windowadaptors_SRCS
                    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml
                    ViewManager.h
                    Konsole::ViewManager)

# qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
# Generate dbus .xml files; do not store .xml in source folder
qt_generate_dbus_interface(session/Session.h org.kde.konsole.Session.xml OPTIONS -m)

qt_add_dbus_adaptor(
    sessionadaptors_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
    session/Session.h
    Konsole::Session
)

set(konsole_LIBS
    KF${QT_MAJOR_VERSION}::XmlGui
    Qt::Multimedia
    Qt::PrintSupport
    Qt::Xml
    KF${QT_MAJOR_VERSION}::Notifications
    KF${QT_MAJOR_VERSION}::WindowSystem
    KF${QT_MAJOR_VERSION}::TextWidgets
    KF${QT_MAJOR_VERSION}::GuiAddons
    KF${QT_MAJOR_VERSION}::IconThemes
    KF${QT_MAJOR_VERSION}::Bookmarks
    KF${QT_MAJOR_VERSION}::I18n
    KF${QT_MAJOR_VERSION}::KIOWidgets
    KF${QT_MAJOR_VERSION}::DBusAddons
    KF${QT_MAJOR_VERSION}::NewStuffCore
)

if (NOT WIN32)
    list(APPEND konsole_LIBS
        KF${QT_MAJOR_VERSION}::Pty
        KF${QT_MAJOR_VERSION}::GlobalAccel
    )
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    #kinfo_getfile() is in libutil
    list(APPEND konsole_LIBS util)
endif()

# TODO: Move this to an internal folder if it grows too much.
# This konsoleprivate_core is the "core" library that depends in nothing from konsole itself
# so we can start to detangle the codebase.
set(konsoleprivate_core_SRCS
    ShellCommand.cpp
)

ecm_qt_declare_logging_category(
    konsoleprivate_core_SRCS
    HEADER konsoledebug.h
    IDENTIFIER KonsoleDebug
    CATEGORY_NAME org.kde.konsole
    DESCRIPTION "Konsole"
    EXPORT KONSOLE
)

add_library(konsoleprivate_core STATIC ${konsoleprivate_core_SRCS})
# Needed to link this static lib to shared libs
set_target_properties(konsoleprivate_core PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(konsoleprivate_core KF${QT_MAJOR_VERSION}::CoreAddons)

set(konsolehelpers_SRCS
    LabelsAligner.cpp
)
add_library(konsolehelpers
    STATIC
    ${konsolehelpers_SRCS}
)
set_target_properties(konsolehelpers PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(konsolehelpers
    Qt::Core
    Qt::Widgets
)

add_subdirectory(colorscheme)
add_subdirectory(keyboardtranslator)
add_subdirectory(characters)
add_subdirectory(decoders)
add_subdirectory(plugins)
if (WIN32)
    set(ptyqt_srcs ptyqt/iptyprocess.cpp ptyqt/conptyprocess.cpp)
endif()

set(konsoleprivate_SRCS ${windowadaptors_SRCS}
                        AppColorSchemeChooser.cpp
                        BookmarkHandler.cpp
                        BookmarkMenu.cpp
                        CheckableSessionModel.cpp
                        CopyInputDialog.cpp
                        Emulation.cpp
                        EscapeSequenceUrlExtractor.cpp
                        FontDialog.cpp
                        HistorySizeDialog.cpp
                        KeyBindingEditor.cpp
                        LabelsAligner.cpp
                        NullProcessInfo.cpp
                        PrintOptions.cpp
                        ProcessInfo.cpp
                        Pty.cpp
                        RenameTabDialog.cpp
                        SSHProcessInfo.cpp
                        SaveHistoryTask.cpp
                        Screen.cpp
                        ScreenWindow.cpp
                        ScrollState.cpp
                        SearchHistoryTask.cpp
                        ShouldApplyProperty.cpp
                        UnixProcessInfo.cpp
                        ViewManager.cpp
                        ViewProperties.cpp
                        Vt102Emulation.cpp
                        WindowSystemInfo.cpp
                        ZModemDialog.cpp
                        filterHotSpots/EscapeSequenceUrlFilter.cpp
                        filterHotSpots/EscapeSequenceUrlFilterHotSpot.cpp
                        filterHotSpots/FileFilter.cpp
                        filterHotSpots/FileFilterHotspot.cpp
                        filterHotSpots/Filter.cpp
                        filterHotSpots/FilterChain.cpp
                        filterHotSpots/HotSpot.cpp
                        filterHotSpots/RegExpFilter.cpp
                        filterHotSpots/RegExpFilterHotspot.cpp
                        filterHotSpots/TerminalImageFilterChain.cpp
                        filterHotSpots/UrlFilter.cpp
                        filterHotSpots/UrlFilterHotspot.cpp
                        filterHotSpots/ColorFilter.cpp
                        filterHotSpots/ColorFilterHotSpot.cpp
                        history/HistoryFile.cpp
                        history/HistoryScroll.cpp
                        history/HistoryScrollFile.cpp
                        history/HistoryScrollNone.cpp
                        history/HistoryType.cpp
                        history/HistoryTypeFile.cpp
                        history/HistoryTypeNone.cpp
                        history/compact/CompactHistoryScroll.cpp
                        history/compact/CompactHistoryType.cpp
                        widgets/DetachableTabBar.cpp
                        widgets/EditProfileDialog.cpp
                        widgets/HistorySizeWidget.cpp
                        widgets/IncrementalSearchBar.cpp
                        widgets/RenameTabWidget.cpp
                        widgets/TabTitleFormatButton.cpp

                        terminalDisplay/extras/CompositeWidgetFocusWatcher.cpp
                        terminalDisplay/extras/AutoScrollHandler.cpp
                        terminalDisplay/extras/HighlightScrolledLines.cpp

                        terminalDisplay/TerminalDisplay.cpp
                        terminalDisplay/TerminalPainter.cpp
                        terminalDisplay/TerminalScrollBar.cpp
                        terminalDisplay/TerminalColor.cpp
                        terminalDisplay/TerminalFonts.cpp
                        terminalDisplay/TerminalBell.cpp

                        profile/Profile.cpp
                        profile/ProfileCommandParser.cpp
                        profile/ProfileGroup.cpp
                        profile/ProfileList.cpp
                        profile/ProfileReader.cpp
                        profile/ProfileWriter.cpp
                        profile/ProfileManager.cpp
                        profile/ProfileModel.cpp

                        ${ptyqt_srcs} # windows conpty backend

                        ${sessionadaptors_SRCS}
                        session/Session.cpp
                        session/SessionController.cpp
                        session/SessionDisplayConnection.cpp
                        session/SessionGroup.cpp
                        session/SessionListModel.cpp
                        session/SessionManager.cpp
                        session/SessionTask.cpp
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml

                        widgets/TerminalDisplayAccessible.cpp
                        widgets/TerminalHeaderBar.cpp
                        widgets/ViewContainer.cpp
                        widgets/ViewSplitter.cpp
                        widgets/KonsolePrintManager.cpp
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml)

kconfig_add_kcfg_files(konsoleprivate_SRCS settings/KonsoleSettings.kcfgc)

### Konsole Application

ki18n_wrap_ui(konsoleprivate_SRCS
    CopyInputDialog.ui
    HistorySizeDialog.ui
    KeyBindingEditor.ui
    PrintOptions.ui       # Temporary to build session static library
    RenameTabDialog.ui
    settings/GeneralSettings.ui
    settings/PartInfo.ui
    settings/ProfileSettings.ui
    settings/TabBarSettings.ui
    settings/TemporaryFilesSettings.ui
    settings/ThumbnailsSettings.ui
    widgets/EditProfileAdvancedPage.ui
    widgets/EditProfileAppearancePage.ui
    widgets/EditProfileGeneralPage.ui
    widgets/EditProfileKeyboardPage.ui
    widgets/EditProfileMousePage.ui
    widgets/EditProfileScrollingPage.ui
    widgets/EditProfileTabsPage.ui
    widgets/HistorySizeWidget.ui
    widgets/RenameTabWidget.ui
)

# add the resource files for the ui files
qt_add_resources( konsoleprivate_SRCS ../desktop/konsole.qrc)

add_library(konsoleprivate ${konsoleprivate_SRCS})
generate_export_header(konsoleprivate BASE_NAME konsoleprivate)

find_package(ZLIB)

target_link_libraries(konsoleprivate
    PUBLIC
    konsoleprivate_core
    konsolecolorscheme
    keyboardtranslator
    konsolehelpers
    konsolecharacters
    konsoledecoders
    KF${QT_MAJOR_VERSION}::NewStuffCore
    KF${QT_MAJOR_VERSION}::NewStuffWidgets
    ${konsole_LIBS}
    ZLIB::ZLIB
    ICU::uc
    ICU::i18n
)

if(QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(konsoleprivate
        PUBLIC
        Qt6::Core5Compat
        PRIVATE
        KF6::IconWidgets
    )
endif()

set_target_properties(konsoleprivate PROPERTIES
    VERSION ${KONSOLEPRIVATE_VERSION}
    SOVERSION ${KONSOLEPRIVATE_SOVERSION}
)

install(TARGETS konsoleprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

add_library(konsoleapp SHARED Application.cpp
   MainWindow.cpp
   settings/ConfigurationDialog.cpp
   settings/ConfigDialogButtonGroupManager.cpp
   settings/TemporaryFilesSettings.cpp
   settings/GeneralSettings.cpp
   settings/ProfileSettings.cpp
   settings/TabBarSettings.cpp
   settings/ThumbnailsSettings.cpp
   pluginsystem/IKonsolePlugin.cpp
   pluginsystem/PluginManager.cpp
   delegates/ProfileShortcutDelegate.cpp
)

generate_export_header(konsoleapp BASE_NAME konsoleapp)

target_compile_definitions(konsoleapp PRIVATE -DRELEASE_SERVICE_VERSION="${RELEASE_SERVICE_VERSION}")

target_link_libraries(konsoleapp
  konsoleprivate
  KF${QT_MAJOR_VERSION}::XmlGui
  KF${QT_MAJOR_VERSION}::WindowSystem
  KF${QT_MAJOR_VERSION}::Bookmarks
  KF${QT_MAJOR_VERSION}::I18n
  KF${QT_MAJOR_VERSION}::KIOWidgets
  KF${QT_MAJOR_VERSION}::NotifyConfig
  KF${QT_MAJOR_VERSION}::Crash
)

set_target_properties(konsoleapp PROPERTIES
    VERSION ${KONSOLEPRIVATE_VERSION}
    SOVERSION ${KONSOLEPRIVATE_SOVERSION}
)

install(TARGETS konsoleapp ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

set(konsole_SRCS
   main.cpp
)

# Sets the icon on Windows and OSX
ecm_add_app_icon(ICONS_SOURCES ICONS ${ICONS_SRCS})

=== src/colorscheme/CMakeLists.txt ===

set(konsole_colorscheme_SRCS
    hsluv.c
    ColorScheme.cpp
    ColorSchemeManager.cpp
    ColorSchemeWallpaper.cpp
    ColorSchemeEditor.cpp
    ColorSchemeViewDelegate.cpp
    RandomizationRange.cpp
)

ki18n_wrap_ui(konsole_colorscheme_SRCS
    ColorSchemeEditor.ui
)

ecm_qt_declare_logging_category(
    konsole_colorscheme_SRCS
    HEADER colorschemedebug.h
    IDENTIFIER ColorSchemeDebug
    CATEGORY_NAME org.kde.konsole.colorScheme
    DESCRIPTION "Konsole - colorscheme"
    EXPORT KONSOLE
)

add_library(konsolecolorscheme
    STATIC
    ${konsole_colorscheme_SRCS}
)
# Needed to link this static lib to shared libs
set_target_properties(konsolecolorscheme PROPERTIES POSITION_INDEPENDENT_CODE ON)

# generate_export_header(konsolecolorscheme BASE_NAME konsolecolorscheme)
target_include_directories(konsolecolorscheme
    PUBLIC ${CMAKE_CURRENT_BINARY_DIR}
    INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})

target_link_libraries(
    konsolecolorscheme
    ${konsole_LIBS}
)

=== src/tests/CMakeLists.txt ===
add_subdirectory(demo_konsolepart)

include(ECMMarkAsTest)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

set(KONSOLE_TEST_LIBS Qt::Test konsoleprivate)

add_executable(PartManualTest PartManualTest.cpp)
ecm_mark_as_test(PartManualTest)
target_link_libraries(PartManualTest KF${QT_MAJOR_VERSION}::XmlGui KF${QT_MAJOR_VERSION}::Parts KF${QT_MAJOR_VERSION}::Pty
                     ${KONSOLE_TEST_LIBS})

=== debian/changelog ===
konsole (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5printsupport5t64,
    libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:43:16 +0200

konsole (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:08:02 +0000

konsole (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:12:17 +0000

konsole (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:10:36 -0700

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               kinit-dev (>= 5.71.0~),
               libicu-dev (>= 61.0~),
               libkf5bookmarks-dev (>= 5.71.0~),
               libkf5completion-dev (>= 5.71.0~),
               libkf5config-dev (>= 5.71.0~),
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5crash-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5globalaccel-dev (>= 5.71.0~),
               libkf5guiaddons-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5newstuff-dev (>= 5.71.0~),
               libkf5notifications-dev (>= 5.71.0~),
               libkf5notifyconfig-dev (>= 5.71.0~),
               libkf5parts-dev (>= 5.71.0~),
               libkf5pty-dev (>= 5.71.0~),
               libkf5service-dev (>= 5.71.0~),
               libkf5textwidgets-dev (>= 5.71.0~),
               libkf5widgetsaddons-dev (>= 5.71.0~),
               libkf5windowsystem-dev (>= 5.71.0~),
               libkf5xmlgui-dev (>= 5.71.0~),
               libx11-dev,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.15.0~),
               qtmultimedia5-dev,
               zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/konsole
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole

Package: konsole
Architecture: any
Depends: konsole-kpart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: lrzsz
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

Package: konsole-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: konsole (<< 4:17.08.3~)
Replaces: konsole (<< 4:17.08.3~)
Description: Konsole plugin for Qt applications
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package provides the kpart needed by other apps to embed konsole in
 them.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF -DENABLE_PLUGIN_SSHMANAGER=ON

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## konsole 24.08.1

=== debian/changelog ===
konsole (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:24:30 +0100

konsole (4:24.08.0-0ubuntu2) oracular; urgency=medium

  * Refresh install files. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 29 Aug 2024 05:50:41 -0700

konsole (4:24.08.0-0ubuntu1) oracular; urgency=medium

  * Merge debian experimental. 
  * New upstream release (24.08.0). 
  * Refresh install files. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 29 Aug 2024 04:58:45 -0700

konsole (4:24.05.2-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Add breaks for konsole-kpart on yakuake << 24.05.2.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 16 Aug 2024 12:33:07 +0200

konsole (4:24.05.2-1) experimental; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (24.05.2-1).
  * Update build-deps with info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update list of installed files from build system.
  * Update lintian overrides.

 -- Jesse Rhodes <jesse@sney.ca>  Wed, 17 Jul 2024 21:39:58 -0400

## konsole 24.08.2

=== debian/changelog ===
konsole (4:24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Nov 2024 14:13:45 +0000

## konsole 24.12.0

=== debian/changelog ===
konsole (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 22:07:28 +0100

konsole (4:24.08.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update project homepage.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 08:27:29 +0100

konsole (4:24.08.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Add breaks for konsole-kpart on yakuake << 24.05.2.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Remove obsolete /etc/xdg/konsolerc config file.
  * Update the list of installed files.
  * Fix permissions of installed files.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Sep 2024 00:07:33 +0200

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libicu-dev (>= 61.0~),
               libkf6bookmarks-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6globalaccel-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6notifyconfig-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6pty-dev (>= 6.0.0~),
               libkf6service-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libx11-dev,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://konsole.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konsole
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konsole.git

Package: konsole
Architecture: any
Depends: konsole-kpart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: lrzsz,
Provides: x-terminal-emulator,
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

Package: konsole-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: konsole (<< 4:17.08.3~), yakuake (<< 24.05.2~),
Replaces: konsole (<< 4:17.08.3~),
Description: Konsole plugin for Qt applications
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package provides the kpart needed by other apps to embed konsole in
 them.

## konsole 24.12.1

=== debian/changelog ===
konsole (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:20:08 +0000

konsole (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:17:03 +0000

konsole (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 13:22:47 +0000

konsole (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 14:19:59 +0000

konsole (4:24.08.3-0ubuntu2) plucky; urgency=medium

  * Remove no longer shipped /etc/xdg/konsolerc on upgrade.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 19:52:35 +0000

konsole (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:44:16 +0000

## konsole 24.12.3

=== CMakeLists.txt ===
# Konsole project

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

# Do not increase these requirements without a merge-request or/and
# approval from maintainer(s).
# minimal requirements

# See comments in https://invent.kde.org/utilities/konsole/-/commit/9d8e47298c81fc1e47c998eda1b6e980589274eb
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(QT_MIN_VERSION "6.5.0")
set(KF6_DEP_VERSION "6.0.0")
set(QT_MAJOR_VERSION "6")

# Release script will create bugzilla versions
project(konsole VERSION ${RELEASE_SERVICE_VERSION})

find_package(ECM ${KF6_DEP_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)
# Remove OPTIONAL when we require EMC >= 5.79
include(KDEGitCommitHooks OPTIONAL)
include(CheckFunctionExists)
include(CheckIncludeFiles)

# Allows passing e.g. -DECM_ENABLE_SANITIZERS='address;undefined' to cmake.
include(ECMEnableSanitizers)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Multimedia
    PrintSupport
    Widgets
    Core5Compat
)

find_package(KF6 ${KF6_DEP_VERSION} REQUIRED
    Bookmarks
    Config
    ConfigWidgets
    CoreAddons
    Crash
    GuiAddons
    I18n
    IconThemes
    KIO
    NewStuff
    Notifications
    NotifyConfig
    Parts
    Service
    TextWidgets
    WidgetsAddons
    WindowSystem
    XmlGui
)

if(NOT WIN32)
    find_package(KF6 ${KF6_DEP_VERSION} REQUIRED
        Pty
    )
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
        DBus
    )
    find_package(KF6 ${KF6_DEP_VERSION} REQUIRED
        DBusAddons
        GlobalAccel
    )
    set(HAVE_DBUS 1)
endif()

find_package(KF6DocTools ${KF6_DEP_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

find_package(ICU 61.0 COMPONENTS uc i18n REQUIRED)

if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    option(WITH_X11 "Build with X11 integration" ON)
endif()

# Check for function GETPWUID
check_symbol_exists(getpwuid "pwd.h" HAVE_GETPWUID)

check_function_exists(malloc_trim HAVE_MALLOC_TRIM)

# See above includes for defaults
add_definitions(
  -DQT_NO_FOREACH
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

file(GLOB ICONS_SRCS "data/icons/*.png")

option(ENABLE_PLUGIN_SSHMANAGER "Build the SSHManager plugin" ON)
option(ENABLE_PLUGIN_QUICKCOMMANDS "Build the Quick Commands plugin" ON)

add_subdirectory( src )
add_subdirectory( desktop )

if(HAVE_DBUS)
    add_subdirectory( kconf_update )
endif()

if(KF6DocTools_FOUND)
    add_subdirectory( doc/manual )
endif()

add_subdirectory( tools )

# Conditionally install icons for Linux as they may not be provided by the user theme
option(INSTALL_ICONS "Install icons" OFF)
if(INSTALL_ICONS)
    include(ECMInstallIcons)
    ecm_install_icons( ICONS ${ICONS_SRCS} DESTINATION ${KDE_INSTALL_ICONDIR} )
endif()

ecm_qt_install_logging_categories(
    EXPORT KONSOLE
    FILE konsole.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

ki18n_install( po )
if(KF6DocTools_FOUND)
    kdoctools_install( po )
endif()

if(ECM_VERSION VERSION_GREATER_EQUAL 5.101.0)
  install(FILES completions/konsole.zsh RENAME _konsole DESTINATION ${KDE_INSTALL_ZSHAUTOCOMPLETEDIR})
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.c *.cpp *.h *.hpp)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
if(ECM_VERSION VERSION_GREATER_EQUAL 5.79.0)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,16 +3,12 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"konsole\")
 
 ### Handle DragonFlyBSD here instead of using __DragonFly__
-IF(${CMAKE_SYSTEM_NAME} MATCHES "DragonFly")
+if(${CMAKE_SYSTEM_NAME} MATCHES "DragonFly")
   set(HAVE_OS_DRAGONFLYBSD 1)
 else()
   set(HAVE_OS_DRAGONFLYBSD 0)
 endif()
 
-IF(NOT (${KF${QT_MAJOR_VERSION}_VERSION} VERSION_LESS "5.60.0"))
-    set(USE_TERMINALINTERFACEV2 1)
-endif()
-
 include(CheckIncludeFiles)
 include(ECMAddAppIcon)
 
@@ -21,11 +17,9 @@
 
 ### Tests
 if(BUILD_TESTING)
-    if (NOT WIN32)
-        find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} CONFIG REQUIRED)
+        find_package(Qt6Test ${QT_MIN_VERSION} CONFIG REQUIRED)
         add_subdirectory(autotests)
         add_subdirectory(tests)
-    endif()
 endif()
 
 
@@ -38,50 +32,63 @@
 ### Development tools
 option(KONSOLE_BUILD_UNI2CHARACTERWIDTH "Konsole: build uni2characterwidth executable" OFF)
 
-### Konsole source files shared between embedded terminal and main application
-# qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
-# qdbuscpp2xml -M -s ViewManager.h -o org.kde.konsole.Konsole.xml
-
-# Generate dbus .xml files; do not store .xml in source folder
-qt_generate_dbus_interface(ViewManager.h org.kde.konsole.Window.xml OPTIONS -m)
-
-qt_add_dbus_adaptor(windowadaptors_SRCS
-                    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml
-                    ViewManager.h
-                    Konsole::ViewManager)
-
-# qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
-# Generate dbus .xml files; do not store .xml in source folder
-qt_generate_dbus_interface(session/Session.h org.kde.konsole.Session.xml OPTIONS -m)
-
-qt_add_dbus_adaptor(
-    sessionadaptors_SRCS
-    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
-    session/Session.h
-    Konsole::Session
-)
+set(dbus_xml_srcs)
+if(HAVE_DBUS)
+    ### Konsole source files shared between embedded terminal and main application
+    # qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
+    # qdbuscpp2xml -M -s ViewManager.h -o org.kde.konsole.Konsole.xml
+
+    # Generate dbus .xml files; do not store .xml in source folder
+    qt_generate_dbus_interface(ViewManager.h org.kde.konsole.Window.xml OPTIONS -m)
+
+    qt_add_dbus_adaptor(windowadaptors_SRCS
+                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml
+                        ViewManager.h
+                        Konsole::ViewManager)
+
+    # qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
+    # Generate dbus .xml files; do not store .xml in source folder
+    qt_generate_dbus_interface(session/Session.h org.kde.konsole.Session.xml OPTIONS -m)
+
+    qt_add_dbus_adaptor(
+        sessionadaptors_SRCS
+        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
+        session/Session.h
+        Konsole::Session
+    )
+
+    set(dbus_xml_srcs
+        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
+        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml
+    )
+endif()
 
 set(konsole_LIBS
-    KF${QT_MAJOR_VERSION}::XmlGui
+    KF6::XmlGui
     Qt::Multimedia
     Qt::PrintSupport
     Qt::Xml
-    KF${QT_MAJOR_VERSION}::Notifications
-    KF${QT_MAJOR_VERSION}::WindowSystem
-    KF${QT_MAJOR_VERSION}::TextWidgets
-    KF${QT_MAJOR_VERSION}::GuiAddons
-    KF${QT_MAJOR_VERSION}::IconThemes
-    KF${QT_MAJOR_VERSION}::Bookmarks
-    KF${QT_MAJOR_VERSION}::I18n
-    KF${QT_MAJOR_VERSION}::KIOWidgets
-    KF${QT_MAJOR_VERSION}::DBusAddons
-    KF${QT_MAJOR_VERSION}::NewStuffCore
-)
-
-if (NOT WIN32)
+    KF6::Notifications
+    KF6::WindowSystem
+    KF6::TextWidgets
+    KF6::GuiAddons
+    KF6::IconThemes
+    KF6::Bookmarks
+    KF6::I18n
+    KF6::KIOWidgets
+    KF6::NewStuffCore
+)
+
+if(NOT WIN32)
     list(APPEND konsole_LIBS
-        KF${QT_MAJOR_VERSION}::Pty
-        KF${QT_MAJOR_VERSION}::GlobalAccel
+        KF6::Pty
+    )
+endif()
+
+if(HAVE_DBUS)
+    list(APPEND konsole_LIBS
+        KF6::DBusAddons
+        KF6::GlobalAccel
     )
 endif()
 
@@ -109,7 +116,7 @@
 add_library(konsoleprivate_core STATIC ${konsoleprivate_core_SRCS})
 # Needed to link this static lib to shared libs
 set_target_properties(konsoleprivate_core PROPERTIES POSITION_INDEPENDENT_CODE ON)
-target_link_libraries(konsoleprivate_core KF${QT_MAJOR_VERSION}::CoreAddons)
+target_link_libraries(konsoleprivate_core KF6::CoreAddons)
 
 set(konsolehelpers_SRCS
     LabelsAligner.cpp
@@ -129,12 +136,11 @@
 add_subdirectory(characters)
 add_subdirectory(decoders)
 add_subdirectory(plugins)
-if (WIN32)
+if(WIN32)
     set(ptyqt_srcs ptyqt/iptyprocess.cpp ptyqt/conptyprocess.cpp)
 endif()
 
 set(konsoleprivate_SRCS ${windowadaptors_SRCS}
-                        AppColorSchemeChooser.cpp
                         BookmarkHandler.cpp
                         BookmarkMenu.cpp
                         CheckableSessionModel.cpp
@@ -152,6 +158,7 @@
                         RenameTabDialog.cpp
                         SSHProcessInfo.cpp
                         SaveHistoryTask.cpp
+                        SaveHistoryAutoTask.cpp
                         Screen.cpp
                         ScreenWindow.cpp
                         ScrollState.cpp
@@ -223,14 +230,17 @@
                         session/SessionListModel.cpp
                         session/SessionManager.cpp
                         session/SessionTask.cpp
-                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
 
                         widgets/TerminalDisplayAccessible.cpp
                         widgets/TerminalHeaderBar.cpp
                         widgets/ViewContainer.cpp
                         widgets/ViewSplitter.cpp
                         widgets/KonsolePrintManager.cpp
-                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Window.xml)
+
+                        ${dbus_xml_srcs}
+
+                        ../data/data.qrc
+                        ../desktop/konsole.qrc)
 
 kconfig_add_kcfg_files(konsoleprivate_SRCS settings/KonsoleSettings.kcfgc)
 
@@ -243,6 +253,7 @@
     PrintOptions.ui       # Temporary to build session static library
     RenameTabDialog.ui
     settings/GeneralSettings.ui
+    settings/MemorySettings.ui
     settings/PartInfo.ui
     settings/ProfileSettings.ui
     settings/TabBarSettings.ui
@@ -259,9 +270,6 @@
     widgets/RenameTabWidget.ui
 )
 
-# add the resource files for the ui files
-qt_add_resources( konsoleprivate_SRCS ../desktop/konsole.qrc)
-
 add_library(konsoleprivate ${konsoleprivate_SRCS})
 generate_export_header(konsoleprivate BASE_NAME konsoleprivate)
 
@@ -275,42 +283,41 @@
     konsolehelpers
     konsolecharacters
     konsoledecoders
-    KF${QT_MAJOR_VERSION}::NewStuffCore
-    KF${QT_MAJOR_VERSION}::NewStuffWidgets
+    KF6::NewStuffCore
+    KF6::NewStuffWidgets
     ${konsole_LIBS}
     ZLIB::ZLIB
     ICU::uc
     ICU::i18n
 )
 
-if(QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(konsoleprivate
-        PUBLIC
-        Qt6::Core5Compat
-        PRIVATE
-        KF6::IconWidgets
-    )
-endif()
+target_link_libraries(konsoleprivate
+    PUBLIC
+    Qt6::Core5Compat
+    PRIVATE
+    KF6::IconWidgets
+    KF6::BookmarksWidgets
+)
 
 set_target_properties(konsoleprivate PROPERTIES
-    VERSION ${KONSOLEPRIVATE_VERSION}
-    SOVERSION ${KONSOLEPRIVATE_SOVERSION}
+    VERSION ${RELEASE_SERVICE_VERSION}
 )
 
 install(TARGETS konsoleprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
 
 add_library(konsoleapp SHARED Application.cpp
-   MainWindow.cpp
-   settings/ConfigurationDialog.cpp
-   settings/ConfigDialogButtonGroupManager.cpp
-   settings/TemporaryFilesSettings.cpp
-   settings/GeneralSettings.cpp
-   settings/ProfileSettings.cpp
-   settings/TabBarSettings.cpp
-   settings/ThumbnailsSettings.cpp
-   pluginsystem/IKonsolePlugin.cpp
-   pluginsystem/PluginManager.cpp
-   delegates/ProfileShortcutDelegate.cpp
+    MainWindow.cpp
+    settings/ConfigurationDialog.cpp
+    settings/ConfigDialogButtonGroupManager.cpp
+    settings/TemporaryFilesSettings.cpp
+    settings/GeneralSettings.cpp
+    settings/MemorySettings.cpp
+    settings/ProfileSettings.cpp
+    settings/TabBarSettings.cpp
+    settings/ThumbnailsSettings.cpp
+    pluginsystem/IKonsolePlugin.cpp
+    pluginsystem/PluginManager.cpp
+    delegates/ProfileShortcutDelegate.cpp
 )
 
 generate_export_header(konsoleapp BASE_NAME konsoleapp)
@@ -319,26 +326,43 @@
 
 target_link_libraries(konsoleapp
   konsoleprivate
-  KF${QT_MAJOR_VERSION}::XmlGui
-  KF${QT_MAJOR_VERSION}::WindowSystem
-  KF${QT_MAJOR_VERSION}::Bookmarks
-  KF${QT_MAJOR_VERSION}::I18n
-  KF${QT_MAJOR_VERSION}::KIOWidgets
-  KF${QT_MAJOR_VERSION}::NotifyConfig
-  KF${QT_MAJOR_VERSION}::Crash
+  KF6::XmlGui
+  KF6::WindowSystem
+  KF6::Bookmarks
+  KF6::I18n
+  KF6::KIOWidgets
+  KF6::NotifyConfig
+  KF6::Crash
 )
 
 set_target_properties(konsoleapp PROPERTIES
-    VERSION ${KONSOLEPRIVATE_VERSION}
-    SOVERSION ${KONSOLEPRIVATE_SOVERSION}
+    VERSION ${RELEASE_SERVICE_VERSION}
 )
 
 install(TARGETS konsoleapp ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
 
 set(konsole_SRCS
-   main.cpp
+    main.cpp
 )
 
 # Sets the icon on Windows and OSX
 ecm_add_app_icon(ICONS_SOURCES ICONS ${ICONS_SRCS})
 
+add_executable(konsole ${konsole_SRCS} ${ICONS_SOURCES})
+target_link_libraries(konsole
+  konsoleprivate
+  konsoleapp
+  KF6::XmlGui
+  KF6::WindowSystem
+  KF6::Bookmarks
+  KF6::I18n
+  KF6::KIOWidgets
+  KF6::NotifyConfig
+  KF6::Crash
+)
+
+if(APPLE)
+    set_target_properties(konsole PROPERTIES
+        MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.konsole"
+        MACOSX_BUNDLE_BUNDLE_NAME "Konsole"
+        MACOSX_BUNDLE_DISPLAY_NAME "Konsole"

=== src/plugins/QuickCommands/CMakeLists.txt ===

ki18n_wrap_ui(EXTRA_QUICKCOMMANDSPLUGIN_SRCS qcwidget.ui)

kcoreaddons_add_plugin(konsole_quickcommandsplugin
SOURCES
    quickcommandsplugin.cpp
    quickcommandswidget.cpp
    quickcommandsmodel.cpp
    filtermodel.cpp
    ${EXTRA_QUICKCOMMANDSPLUGIN_SRCS}
INSTALL_NAMESPACE
    "konsoleplugins"
)

configure_file(konsole_quickcommands.in.json konsole_quickcommands.json)
target_link_libraries(konsole_quickcommandsplugin
    konsoleprivate
    konsoleapp
)

=== debian/changelog ===
konsole (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:46:10 +0000

konsole (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:20:40 +0000

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libicu-dev (>= 61.0~),
               libkf6bookmarks-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6configwidgets-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6globalaccel-dev (>= 5.240.0~),
               libkf6guiaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6iconthemes-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6newstuff-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkf6notifyconfig-dev (>= 5.240.0~),
               libkf6parts-dev (>= 5.240.0~),
               libkf6pty-dev (>= 5.240.0~),
               libkf6service-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libx11-dev,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-multimedia-dev (>= 6.5.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/konsole
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konsole

Package: konsole
Architecture: any
Depends: konsole-kpart (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: lrzsz,
Provides: x-terminal-emulator,
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.

Package: konsole-kpart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: konsole (<< 4:17.08.3~), yakuake (<< 24.05.2~)
Replaces: konsole (<< 4:17.08.3~),
Description: Konsole plugin for Qt applications
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package provides the kpart needed by other apps to embed konsole in
 them.

## konsole 25.04.0

=== debian/changelog ===
konsole (4:25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.

  [ Salvo 'LtWorf' Tomaselli ]
  * Patch from upstream to fix CVE-2025-49091

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 10 Jun 2025 19:48:29 +0200

konsole (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:00 +0200

konsole (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 23:04:44 +0200
